package com.jy.system.service;

import com.jy.system.model.dto.AuthUserDto;

import java.util.List;

/**
 * <p>
 * 用户角色关联 服务类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
public interface SysUserRoleService {

    /**
     * 添加用户角色关联
     *
     * @param userId     用户id
     * @param roleIdList 角色id列表
     */
    void add(Long userId, List<Long> roleIdList);

    /**
     * 编辑用户角色关联
     *
     * @param userId     用户id
     * @param roleIdList 角色id列表
     */
    void edit(Long userId, List<Long> roleIdList);

    /**
     * 授权
     */
    void authUser(AuthUserDto dto);

    /**
     * 取消授权
     */
    void unAuthUser(AuthUserDto dto);


}
